KUBERNETES(1)

NAME

kubeadm init phase addon coredns - Installs the CoreDNS addon to a Kubernetes cluster

SYNOPSIS

kubeadm init phase addon coredns [OPTIONS]

DESCRIPTION

Installs the CoreDNS addon components via the API server. Please note that although the DNS server is deployed, it will not be scheduled until CNI is installed.

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--feature-gates=""
    A set of key=value pairs that describe feature gates for various features. Options are:

--image-repository="k8s.gcr.io"
    Choose a container registry to pull control plane images from

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

--service-cidr="10.96.0.0/12"
    Use alternative range of IP address for service VIPs.

--service-dns-domain="cluster.local"
    Use alternative domain for services, e.g. "myorg.internal".

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-init-phase-addon(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!